### Hierarchy

- Pbkdf2

### Implemented by

- NodeCryptoPbkdf2
- WebCryptoPbkdf2

## Index

### Methods

- derive

## Methods

### derive

- derive(password: string, salt: NodeJS.TypedArray, iterations: number, keyLength: number, digest: Pbkdf2Digests): Promise<Buffer>

- - Defined in encryption/pbkdf2.ts:6

  #### Parameters

  - ##### password: string

  - ##### salt: NodeJS.TypedArray

  - ##### iterations: number

  - ##### keyLength: number

  - ##### digest: Pbkdf2Digests

  #### Returns Promise<Buffer>

Generated using TypeDoc